require "njord/commands/kubernetes"

module Njord
  class CLI < Thor
    desc "build", "Builds the docker container from a Dockerfile"
    def build
      DockerHandler.build_images
      DockerHandler.tag_images
    end

    desc "push", "Pushes the docker container to the defined host"
    def push
      DockerHandler.push_images
    end

    desc "k8s", "Kubernetes related tasks"
    subcommand "k8s", Njord::Commands::Kubernetes

    def self.exit_on_failure?
      true
    end
  end
end
