require 'yaml'
require 'json'
require 'ostruct'

module Njord
  module ConfigurationReader
    CONFIG_FILE = ".njord.yml".freeze

    def self.read_from_file
      if File.exist?(CONFIG_FILE)
        JSON.parse(YAML.load_file(CONFIG_FILE).to_json, object_class: OpenStruct)
      else
        raise(ArgumentError, "No .njord.yml config file exists. \
          Please create one.")
      end
    rescue
      raise(ArgumentError, "Something is wrong with the .njord.yml - \
        please check the README for a valid example.")
    end
  end
end
